> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orum.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate and parse RRULE string

> Validates an RRULE string and returns its human readable form along with next occurrence dates.



## OpenAPI

````yaml api-reference/oas-with-internal-removed.yaml post /deliver/schedules/rrule
openapi: 3.0.1
info:
  title: Orum API
  description: Orum API.
  version: v2022-09-21
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: https://api-sandbox.orum.io
  - url: https://vault.api-sandbox.orum.io
security: []
paths:
  /deliver/schedules/rrule:
    post:
      tags:
        - Schedules
      summary: Validate and parse RRULE string
      description: >-
        Validates an RRULE string and returns its human readable form along with
        next occurrence dates.
      operationId: post-validate-rrule
      parameters:
        - name: Orum-Version
          in: header
          required: true
          schema:
            $ref: '#/components/schemas/OrumVersion'
          x-orum-error-invalid:
            known-error: version_invalid
          x-orum-error-missing:
            known-error: version_missing
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RruleValidationRequest'
        required: true
      responses:
        '200':
          description: 200 response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RruleValidationResponse'
        '400':
          description: invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        default:
          description: unexpected error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - oauth2:
            - write:schedules
components:
  schemas:
    OrumVersion:
      type: string
      description: Version of Deliver and Verify APIs. Use v2022-09-21.
      enum:
        - v2022-09-21
    RruleValidationRequest:
      title: RruleValidationRequest
      type: object
      properties:
        start_date:
          allOf:
            - $ref: '#/components/schemas/ScheduleStartDate'
          x-orum-error-missing:
            known-error: missing_schedule_start_date
          x-orum-error-invalid:
            known-error: invalid_schedule_start_date
        recurrence:
          allOf:
            - $ref: '#/components/schemas/ScheduleRecurrence'
          x-orum-error-missing:
            known-error: missing_schedule_recurrence
          x-orum-error-invalid:
            known-error: invalid_schedule_recurrence
        occurrence_count:
          type: integer
          minimum: 1
          maximum: 5
          description: Number of occurrences to return. Defaults to 2 if not specified.
          x-orum-error-invalid:
            known-error: invalid_occurrence_count
      required:
        - start_date
        - recurrence
    RruleValidationResponse:
      title: RruleValidationResponse
      type: object
      properties:
        start_date:
          $ref: '#/components/schemas/ScheduleStartDate'
        rrule_string:
          type: string
          description: The original RRULE string
        rrule_readable:
          type: string
          description: Human readable form of the RRULE
        occurrences:
          type: array
          description: List of next occurrence dates
          items:
            type: string
            format: date
      required:
        - start_date
        - recurrence
        - occurrences
        - rrule_string
        - rrule_readable
    ErrorResponse:
      type: object
      properties:
        error_code:
          type: string
        message:
          type: string
        details:
          type: object
          description: additional details about the error.
          nullable: true
      required:
        - error_code
        - message
    ScheduleStartDate:
      type: string
      description: The date when the schedule starts, in YYYY-MM-DD format.
      format: date
      example: '2025-01-01'
    ScheduleRecurrence:
      type: string
      description: Recurrence of the schedule in iCalendar RRULE format
      example: RRULE:FREQ=WEEKLY;INTERVAL=1;BYDAY=MO,WE,FR
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api-sandbox.orum.io/oauth/token
          scopes:
            read:persons: Read persons
            write:persons: Write persons
            read:businesses: Read businesses
            write:businesses: Write businesses
            read:external-accounts: Read external accounts
            write:external-accounts: Write external accounts
            read:cards: Read cards
            write:cards: Write cards
            read:transfers: Read transfers
            write:transfers: Write transfers
            read:transfer-groups: Read transfer groups
            write:transfer-groups: Write transfer groups
            read:schedules: Read schedules
            write:schedules: Write schedules
            read:routing-number-eligibility: Read routing number eligibility
            read:balances: Read balances
            read:reports: Read reports
            write:reports: Write reports
            read:booktransfers: Read book transfers
            write:booktransfers: Write book transfers
            read:subledgers: Read subledgers
            write:subledgers: Write subledgers
            read:verify-accounts: Read verify accounts
            write:verify-accounts: Write verify accounts
            read:webhook-configurations: Read webhook configurations
            write:webhook-configurations: Write webhook configurations
            read:webhook-secret: Read webhook secret
            write:webhook-secret: Write webhook secret
            invoke:webhook: Invoke webhook

````